%define upstream_name    Crypt-OpenSSL-Random
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Crypt-OpenSSL-Random module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Crypt-OpenSSL-Random-0.04-link.patch
Buildrequires: perl-devel
Buildrequires: openssl-devel

Requires:	openssl

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}

%check
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes  META.yml
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/autosplit.ix
%{perl_vendorlib}/*/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-8.mga3
+ Revision: 364908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-7.mga3
+ Revision: 250399
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-6.mga2
+ Revision: 103846
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-5.mga1
+ Revision: 29989
- mageia rebuild
- imported package perl-Crypt-OpenSSL-Random

